コンテンツにスキップ

CityGMLファイルのURLリストを取得

GET
/datacatalog/citygml/{conditions}
curl --request GET \
--url https://api.plateauview.mlit.go.jp/datacatalog/citygml/example

指定した範囲に含まれるCityGMLファイルのURLリストを取得します。

conditions
required
string

地理的なエリアや都市の情報をフィルタリングするための条件。詳細はドキュメント参照。

使用例: m:533945, s:spatialID, r:135.5,35.0, g:locationName

types
string

取得する地物型をカンマ区切りで指定。指定しない場合は全ての地物型を取得する。

主な地物型:

  • bldg: 建築物モデル
  • tran: 交通(道路)モデル
  • luse: 土地利用モデル
  • dem: 地形モデル
  • fld: 洪水浸水想定区域モデル
  • lsld: 土砂災害警戒区域モデル
  • urf: 都市計画決定情報モデル

使用例: types=bldg,tran

:conditionsパラメータは以下の条件タイプに対応している。

  1. メッシュコード (m)

    • 概要: カンマ区切りで複数のメッシュコードに基づいてエリアを指定。2次メッシュ(6桁)・3次メッシュ(8桁)・1/2メッシュ(9桁)・1/4メッシュ(10桁)に対応する。メッシュコードはハイフンで区切らず数値だけで表すこと。

    • 形式: m:<メッシュコード>

    • : m:533944,533945

      https://api.plateauview.mlit.go.jp/datacatalog/citygml/m:533935

  2. メッシュコード厳密検索 (mm)

    • 概要: 1とほぼ同じだが、1と比べ、メッシュコードの桁数が完全に一致するCityGMLのみを取得する。2次メッシュの場合は2次メッシュのデータセットのみが、3次メッシュの場合は3次メッシュのCityGMLのみがヒットする。

    • 形式: mm:<メッシュコード>

    • : mm:533944,533945

      https://api.plateauview.mlit.go.jp/datacatalog/citygml/mm:533935

  3. 空間ID (s)

  4. 座標範囲 (r)

  5. ジオコーディング (g)

  6. 自治体コード

成功時のレスポンス

Media type application/json
object
cityCode
required

The unique code representing the city.

string
cityName
required

The name of the city.

string
featureTypes
required

A map of feature types available in the CityGML data.

object
key
additional properties
object
name

The name of the feature type.

string
files
required

A map of CityGML file lists grouped by type.

object
key
additional properties
Array<object>
object
code
required

The mesh code representing the geographic area.

string
features

The total number of features in the CityGML file.

integer
fileSize

The file size in bytes.

integer format: int64
lod0

The number of features with LOD0, or null if not available.

integer
nullable
lod1

The number of features with LOD1, or null if not available.

integer
nullable
lod2

The number of features with LOD2, or null if not available.

integer
nullable
lod3

The number of features with LOD3, or null if not available.

integer
nullable
lod4

The number of features with LOD4, or null if not available.

integer
nullable
maxLod
required

The maximum Level of Detail (LOD) available for the CityGML file.

integer
url
required

The URL to access this specific CityGML file.

string format: uri
metadataZipUrls
required
Array<string>
registrationYear
required

The year of registration for the CityGML data.

integer
spec
required

The specification of the CityGML data.

string
url
required

The URL for accessing the CityGML data.

string format: uri
year
required

The year associated with the CityGML data.

integer
Example generated
{
"cityCode": "example",
"cityName": "example",
"featureTypes": {
"additionalProperty": {
"name": "example"
}
},
"files": {
"additionalProperty": [
{
"code": "example",
"features": 1,
"fileSize": 1,
"lod0": 1,
"lod1": 1,
"lod2": 1,
"lod3": 1,
"lod4": 1,
"maxLod": 1,
"url": "https://example.com"
}
]
},
"metadataZipUrls": [
"https://example.com"
],
"registrationYear": 1,
"spec": "example",
"url": "https://example.com",
"year": 1
}

リソースが見つからない

Media type application/json
object
error
required

エラーメッセージ

string
reason

エラーの原因

string
url

エラーが発生したURL

string
Example generated
{
"error": "example",
"reason": "example",
"url": "example"
}